Page MenuHomePhabricator

Update regexes in Gerrit conf to support auto-linking to Phab tickets in commit messages in Gerrit web UI
Closed, ResolvedPublic

Description

Probably something like this and this for "Task:"

Commit message guidelines must be updated accordingly.

Also see T169: Create a Gerrit plugin to notify Phabricator tasks about related patches

Details

Reference
fl603

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:48 AM
flimport set Reference to fl603.
Qgil updated the task description. (Show Details)Sep 25 2014, 8:13 AM
Qgil set Security to None.
Qgil assigned this task to QChris.Oct 30 2014, 8:04 AM

I there anything that still needs to be done here?

Aklapper added a subscriber: QChris.Nov 9 2014, 4:34 PM

@QChris: I there anything that still needs to be done here?
Also note https://bugzilla.wikimedia.org/show_bug.cgi?id=73160 (related)

Qgil added a subscriber: demon.Nov 11 2014, 12:21 AM

@chad can you help assessing whether there is still anything to be done here, please?

Maybe tweaking the regex further if people want.

Qgil closed this task as Resolved.Nov 11 2014, 12:53 PM

Alright, then it sounds like the minimum requirement prior to the Bugzilla migration is fulfilled.

New requests can be filed as new tasks under the Phabricator project. Thank you QChris for completing this task!